############################################################
#
# type definition pro_software_component_lbconfig
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.3
#
# Translation of edg-lcfg-lbconfig by Elisabetta Ronchieri.
#
############################################################

template pro_software_component_lbconfig;

include pro_declaration_component_lbconfig;

# Package to install
"/software/packages"=pkg_repl("ncm-lbconfig","0.0.3-1","noarch");
 
"/software/components/lbconfig/dependencies/pre" = default(list("spma"));
"/software/components/lbconfig/active"= default(true);
"/software/components/lbconfig/dispatch"= default(true);

"/software/components/lbconfig/register_change" =
  default(list("/system/edg/config/EDG_LOCATION",
               "/system/edg/config/EDG_LOCATION_VAR"));

# Default values for parameters.
"/software/components/lbconfig/configFile" = default("edg_wl_query_index.conf");
"/software/components/lbconfig/indicies/system" = default(list("owner","location","destination"));
