############################################################
#
# type definition pro_declaration_component_lbconfig
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.3
#
# Translation of edg-lcfg-lbconfig by Elisabetta Ronchieri.
#
############################################################

declaration template pro_declaration_component_lbconfig;

include pro_declaration_structures;

define type structure_index_list = string[];

define type component_lbconfig = {
	include structure_component
        "configFile"     : string
        "indicies"       : structure_index_list{}
};

type "/software/components/lbconfig" = component_lbconfig;
